> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gpuhub.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtain Balances

> Authentication to the GPUhub API to obtain account current balances and other information

## Obtaining Balances

### → Request

```
POST /api/v1/dev/wallet/Balance
```

Request Parameters

`None`

### ← Response

<Tabs>
  <Tab title="Response Parameters">
    | Parameter | Data Type | Notes                                |
    | --------- | --------- | ------------------------------------ |
    | code      | String    | Response code, "Success" for success |
    | msg       | String    | Error message, empty for success     |
    | data      | Object    | Response data object                 |
  </Tab>

  <Tab title="Response Object Parameters">
    | Parameter        | Data Type | Notes                                                           |
    | ---------------- | --------- | --------------------------------------------------------------- |
    | assets           | Int       | Current balance, in cent (divide by 1000 to get dollor)         |
    | accumulate       | Int       | Cumulative consumption, in cent (divide by 1000 to get dollor)  |
    | voucher\_balance | Int       | Current voucher balance, in cent (divide by 1000 to get dollor) |
  </Tab>
</Tabs>

Example

```javascript javascript theme={null}
{
    "code": "Success",
    "data": {
        "assets": 1000,
        "accumulate": 1000,
        "voucher_balance": 1000
    },
    "msg": ""
}
```

Python Example

```python python theme={null}
import requests

headers = {
    "Authorization": "Your token"
}

url = "https://api.gpuhub.com/api/v1/dev/wallet/balance"

response = requests.post(url, headers=headers)
print(response.content.decode())
```
